PHP Manual
Prev |  | Next

# mb_strripos

(no version information, might be only in CVS)

mb_strripos -- Finds position of last occurrence of a string within another, case insensitive

## Description

int mb_strripos ( string haystack, string needle [, int offset [, string encoding]] )

mb_strripos() performs multi-byte safe strripos() operation based on number of characters. `needle` position is counted from the beginning of `haystack`. First character's position is 0. Second character position is 1. Unlike mb_strrpos(), mb_strripos() is case-insensitive.

## Parameters

`haystack`

  The string from which to get the position of the last occurrence of `needle`

`needle`

  The string to find in `haystack`

`offset`

  The position in `haystack` to start searching

`encoding`

  Character encoding name to use. If it is omitted, internal character encoding is used.

## Return Values

Return the numeric position of the last occurrence of `needle` in the `haystack` string, or `FALSE` if `needle` is not found.

## See Also

strripos()
strrpos()
mb_strrpos()

Prev | Home | Next
mb_strrichr | Up | mb_strrpos